{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function get_property, rowexists, msg, dialog_box\r\n$insert msg_equates\r\n\r\nRLNo = .reactor_log_no->text\r\nif RLNo then\r\n    if rowexists( 'REACTOR_LOG', RLNo ) then\r\n        Qbf = get_property( @window, 'QBFLIST' )\r\n        if Qbf then\r\n            convert @fm to @vm in Qbf\r\n        end else\r\n            Qbf = ''\r\n        end\r\n        RetVal = dialog_box( 'NOTES_ATTACH', @window, 'REACTOR_LOG*':RLNo:'*':Qbf )\r\n    end else\r\n        MsgInfo = ''\r\n        MsgInfo<mtext$> = 'You must save this Reactor Log record first...' \r\n        MsgInfo<micon$> = 'H'\r\n        Void = msg( '', MsgInfo )\r\n    end\r\nend else\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must have a Reactor Log record present...' \r\n    MsgInfo<micon$> = 'H'\r\n    Void = msg( '', MsgInfo )\r\nend\r\nRETURN 0"
        }
    }
}